%define upstream_name    XML-OPML-LibXML
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10
Summary:    Parse OPML document with LibXML parser
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::LibXML)
BuildArch: noarch

%description
XML::OPML::LibXML is an OPML parser written using XML::LibXML. This module
is part of spin-off CPANization of Plagger plugins.

For now, all this module does is just parsing an OPML document. The API is
very simple and limited to low-level access, yet.

*NOTE*: This module is not designed to be a drop-in replacement of
XML::OPML.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} -I. Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.30.0-10.mga8
+ Revision: 1507038
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.30.0-9.mga7
+ Revision: 1287312
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.30.0-8.mga7
+ Revision: 1167460
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 guillomovitch <guillomovitch> 0.30.0-7.mga7
+ Revision: 1157420
- fix build

* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-6.mga6
+ Revision: 1036038
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.30.0-5.mga6
+ Revision: 942941
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-4.mga5
+ Revision: 742673
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-3.mga5
+ Revision: 686944
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.30.0-2.mga4
+ Revision: 522600
- Mageia 4 Mass Rebuild

* Fri Mar 22 2013 jquelin <jquelin> 0.30.0-1.mga3
+ Revision: 404507
- imported package perl-XML-OPML-LibXML


* Fri Mar 22 2013 cpan2dist 0.03-1mga
- initial mageia release, generated with cpan2dist
